#
# spec file for package canutils-linuxcan
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define version_unconverted 0~g296

Name:           canutils-linuxcan
Summary:        Utilities for Controller Area Networks from the Linux-CAN project
License:        GPL-2.0 and GPL-2.0+ and BSD-3-Clause
Group:          Hardware/Other
Version:        0~g296
Release:        3.1
Url:            https://github.com/linux-can/can-utils

Source:         %name-%version.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  xz

%description
SocketCAN userspace utilities and tools.

CAN is a message-based network protocol designed for vehicles
originally initially created by Robert Bosch GmbH. SocketCAN is a set
of CAN drivers and a networking stack contributed by Volkswagen
Research to the Linux kernel.

This package contains some userspace utilities for the Linux
SocketCAN subsystem: asc2log, bcmserver, canbusload,
can-calc-bit-timing, candump, canfdtest, cangen, cangw, canlogserver,
canplayer, cansend, cansniffer, isotpdump, isotprecv, isotpperf,
isotpsend, isotpserver, isotpsniffer, isotptun, log2asc, log2long,
slcan_attach, slcand and slcanpty.

%prep
%setup -q

%build
./autogen.sh
# Avoid overlap with other canutils
%configure --disable-static --program-prefix="linuxcan-"
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%_bindir/*

%changelog
* Mon Nov 21 2016 jengelh@inai.de
- Initial package (version 0~g296) for build.opensuse.org
